// HSolidView.h : interface of the HSolidView class, derived from HBaseView
// Adds application-specific data and members for each view

#ifndef _HSOLIDVIEW_H
#define _HSOLIDVIEW_H

#include "HBaseView.h"

#ifdef PARASOLID
#include "parasolid_kernel.h"
#include "kernel_interface.h"
#include "hp_bridge.h"
#endif

class HSolidView : public HBaseView
{
private:
	long	m_parts_seg;
	bool	m_optimize_shells;

	void	RegenerateBodies(void);

public:
	HSolidView(HBaseModel *model,
				char * 		alias = 0,	
				char *		driver_type = 0,
				char *		instance_name = 0,
				long		window_handle = 0,
				long		colormap = 0);

	void	Init();
	void	BooleanOperation(unsigned long	operation);
	long	GetPartsSegment(){return m_parts_seg;};
	void	DeleteSelectionList();

	void	SetOptimizations(bool optimize);
	bool	GetOptimizations(void);
};

#endif 




